#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML>
<HEAD>
<TITLE>$(n=$(nvram get wan_hostname);echo ${n:-ninux.org}) - $TITLE</TITLE>
<META CONTENT="text/html; charset=iso-8859-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<LINK HREF="../ninux.css" REL="StyleSheet" TYPE="text/css">
<LINK HREF="sven-ola*t*gmx*de" REV="made" TITLE="Sven-Ola">
EOF

unescape()
{
s=$(echo "$1"|sed -e"s/+/%20/g")
echo -n ${s%%%*}
if [ -n "$s" ] && [ "$s" != "${s#*%}" ];then
IFS=\%
set ${s#*%}
unset IFS
for i in "$@";do
echo -n -e "\\x$(echo $i|dd bs=1 count=2 2>&-)"
echo -n ${i#??}
done
fi
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(sed -n 's/^ *\([^:]\+\):.*/\1/p' /proc/net/wireless)
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>
<BODY>
<TABLE CELLSPACING="0" CLASS="supertable">
<TBODY>
<TR>
<TD CLASS="sinistra">
<DIV CLASS="colosseo"> <IMG ALT="colosseo wireless" CLASS="colosseo0" HEIGHT="189" SRC="../images/ninux-header0d.png" WIDTH="256" TITLE="colosseo wireless">
</DIV>
<TABLE BORDER="0" CELLSPACING="0" CLASS="tabmenulat">
<TBODY>
<TR>
<TD CLASS="menulw"></TD>
<TD CLASS="menulb"></TD>
<TD CLASS="menulw2"></TD>
<TD ALIGN="left" CLASS="menulat"><BIG CLASS="plugin">Admin</BIG>
<TABLE BORDER="0" CELLPADDING="0" WIDTH="100%">
EOF

for inc in /www/cgi-bin/[0-9][0-9]-*;do test -n "${inc##*.sh}" && cat $inc ||. $inc;done

cat<<EOF
</TABLE>
<TABLE BORDER="0" CELLPADDING="0" WIDTH="100%">
<TR>
<TD><SPAN CLASS="color"><A CLASS="color" HREF="../cgi-bin-index.html">Home</A></SPAN></TD>
</TR>
<TR>
<TD><SPAN CLASS="color"><A CLASS="color" HREF="index.html">Admin</A></SPAN></TD>
</TR>
</TABLE></TD>
<TD CLASS="menulw2"></TD>
<TD CLASS="menulb"></TD>
<TD CLASS="menulw"></TD>
</TR>
<TR>
<TD CLASS="menulgw"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menugw"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgw"></TD>
</TR>
<TR>
<TD CLASS="menulgw"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgb2"></TD>
<TD CLASS="menugb"></TD>
<TD CLASS="menulgb2"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgw"></TD>
</TR>
<TR>
<TD CLASS="menulgw"></TD>
<TD CLASS="menulgw3"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menugw"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menulgw3"></TD>
<TD CLASS="menulgw"></TD>
</TR></TBODY>
</TABLE></TD>
<TD CLASS="destra">
<DIV CLASS="scrittaninuxorg"> <A HREF="http://www.ninux.org/"><IMG ALT="ninux.org" CLASS="scrittaninux" HEIGHT="95" SRC="../images/ninux-scrittaninuxb.png" WIDTH="450" TITLE="ninux.org"></A>
</DIV>
<DIV CLASS="scritta"> wireless network community Roma </DIV>
<DIV CLASS="contenitore">
<TABLE CELLSPACING="0" CLASS="tabcontenuti">
<TBODY>
<TR>
<TD CLASS="conttopsx"></TD>
<TD CLASS="conttop"></TD>
<TD CLASS="conttopdx"></TD>
</TR>
<TR>
<TD CLASS="contsx"></TD>
<TD CLASS="contenuti">
EOF
